Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hochoaivandot

Xin Lisp close tấc cả Drawing đang mở

Các bài được khuyến nghị

hochoaivandot    108

Khi làm việc thì chúng ta thường phải mở rất nhiều drawing, Thậm chí mở nhiều application Cad khác nhau.

Đến khi không làm nữa phải đóng tấc cả các bản vẽ, tấc cả Cad đang mở. Mỗi bản vẽ đóng phải trả lời các câu hỏi Yes/No question của Autodesk.

Diễn đàn có thể viết cho 2lisp thực hiện chức năng tắt tấc cả drawing trên tấc cả các cửa sổ Cad đang được mở với yêu cầu

+ 1 lisp tên lệnh "csn" (close save no) : đóng tấc cả drawing không lưu

+ 1 lisp tên lệnh "csy" (close save yes) : Lưu và đóng tấc cả drawing

(quit luôn thằng Cad App càng tốt)

Có thể diễn đàn đã có lisp này, Nhưng mình search thì không thấy!

Một số diễn đàn khác cũng có lisp chức năng trên nhưng không đầy đủ và như ý muốn được.

Cảm ơn diễn đàn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nguyentuyen6    127

Khi làm việc thì chúng ta thường phải mở rất nhiều drawing, Thậm chí mở nhiều application Cad khác nhau.

Đến khi không làm nữa phải đóng tấc cả các bản vẽ, tấc cả Cad đang mở. Mỗi bản vẽ đóng phải trả lời các câu hỏi Yes/No question của Autodesk.

Diễn đàn có thể viết cho 2lisp thực hiện chức năng tắt tấc cả drawing trên tấc cả các cửa sổ Cad đang được mở với yêu cầu

+ 1 lisp tên lệnh "csn" (close save no) : đóng tấc cả drawing không lưu

+ 1 lisp tên lệnh "csy" (close save yes) : Lưu và đóng tấc cả drawing

(quit luôn thằng Cad App càng tốt)

Có thể diễn đàn đã có lisp này, Nhưng mình search thì không thấy!

Một số diễn đàn khác cũng có lisp chức năng trên nhưng không đầy đủ và như ý muốn được.

Cảm ơn diễn đàn!

Mình thấy cái này trên mạng bạn thử xem nhé:

 

(vl-load-com)
(defun C:csn ( / dwg)
(vlax-for dwg (vla-get-Documents (vlax-get-acad-object))
 (if (= (vla-get-active dwg) :vlax-false)(vla-close dwg :vlax-false))
)
(command "._close" "_y")
)
(defun C:csy ( / dwg)
(vlax-for dwg (vla-get-Documents (vlax-get-acad-object))
 (if (= (vla-get-active dwg) :vlax-false)(vla-close dwg :vlax-true))
)
(command "._close" "_n")
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Mình dùng Tab CAd có đầy đủ.Ngoài ra, các chức năng bạn nói, bạn có thể tham khảo các lệnh trong sub menu File tool của Express (saveall, closeall, qquit ... ^^)

Qquit thì gọn nhất, thậm chí k kịp chớp mắt ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anhptq    1

Bác có thể cho mình nhờ thêm vấn đề này.

Mình muốn đóng tất cả tất cả các bản vẽ đang mở và trước khi đóng mình muốn thêm một số thao tác giống nhau (vd:zoom e,apuge...).Bình thường mình phải bấm:Ctrl + Tab,zoom e,apuge,save....đến bản vẽ cuối cùng,rồi close all.rất mất thời gian.Mong bác giúp đỡ.

Mình dùng Tab CAd có đầy đủ.Ngoài ra, các chức năng bạn nói, bạn có thể tham khảo các lệnh trong sub menu File tool của Express (saveall, closeall, qquit ... ^^)
Qquit thì gọn nhất, thậm chí k kịp chớp mắt ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anhptq    1

Bạn chưa hiểu ý mình rồi.Vấn đề là mình muốn làm sao chỉnh lại lisp trên,để thêm vào một số lệnh(giống nhau ở tất cả bản vẽ đang mở) trước khi tắt bản vẽ.vd:zoom e,apuge,...mình đã thử chỉnh sửa rồi nhưng chưa được.Mình chỉ mới biết sơ về autolisp,mong các bác giúp đỡ.

Bạn gõ lệnh saveall xong rồi bấm ctrl + Q.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×